# Source Generated with Decompyle++
# File: in.pyo (Python 2.5)

import sys
from path import path

def init_wx():
    import wx as wx
    import sys as sys
    s = wx.StandardPaths.Get()
    _set_paths(config = s.GetConfigDir(), data = s.GetDataDir(), documents = s.GetDocumentsDir(), executablepath = s.GetExecutablePath(), localdata = s.GetLocalDataDir(), userconfig = s.GetUserConfigDir(), userdata = s.GetUserDataDir(), userlocaldata = s.GetUserLocalDataDir(), temp = s.GetTempDir())
    if sys.platform == 'win32':
        _winpaths = [
            ('GetUserStartupDir', CSIDL.STARTUP),
            ('GetStartupDir', CSIDL.COMMON_STARTUP),
            ('GetUserDesktopDir', CSIDL.DESKTOP),
            ('GetDesktopDir', CSIDL.COMMON_DESKTOPDIRECTORY)]
        for method_name, csidl in _winpaths:
            setattr(wx.StandardPaths, method_name, (lambda p, id = csidl: p.GetSpecialFolder(id)))
        
        _set_paths(userstartup = s.GetUserStartupDir(), startup = s.GetStartupDir(), userdesktop = s.GetUserDesktopDir(), desktop = s.GetDesktopDir())
    

if sys.platform == 'win32':
    
    class CSIDL(object):
        DESKTOP = 0
        INTERNET = 1
        PROGRAMS = 2
        CONTROLS = 3
        PRINTERS = 4
        PERSONAL = 5
        FAVORITES = 6
        STARTUP = 7
        RECENT = 8
        SENDTO = 9
        BITBUCKET = 10
        STARTMENU = 11
        MYDOCUMENTS = 12
        MYMUSIC = 13
        MYVIDEO = 14
        DESKTOPDIRECTORY = 16
        DRIVES = 17
        NETWORK = 18
        NETHOOD = 19
        FONTS = 20
        TEMPLATES = 21
        COMMON_STARTMENU = 22
        COMMON_PROGRAMS = 23
        COMMON_STARTUP = 24
        COMMON_DESKTOPDIRECTORY = 25
        APPDATA = 26
        PRINTHOOD = 27
        LOCAL_APPDATA = 28
        ALTSTARTUP = 29
        COMMON_ALTSTARTUP = 30
        COMMON_FAVORITES = 31
        INTERNET_CACHE = 32
        COOKIES = 33
        HISTORY = 34
        COMMON_APPDATA = 35
        WINDOWS = 36
        SYSTEM = 37
        PROGRAM_FILES = 38
        MYPICTURES = 39
        PROFILE = 40
        SYSTEMX86 = 41
        PROGRAM_FILESX86 = 42
        PROGRAM_FILES_COMMON = 43
        PROGRAM_FILES_COMMONX86 = 44
        COMMON_TEMPLATES = 45
        COMMON_DOCUMENTS = 46
        COMMON_ADMINTOOLS = 47
        ADMINTOOLS = 48
        CONNECTIONS = 49
        COMMON_MUSIC = 53
        COMMON_PICTURES = 54
        COMMON_VIDEO = 55
        RESOURCES = 56
        RESOURCES_LOCALIZED = 57
        COMMON_OEM_LINKS = 58
        CDBURN_AREA = 59



def _set_paths(**d):
    globals().update((lambda .0: for k, v in .0:
(k, path(v)))(d.items()))

